#!/usr/bin/env sh

if [ ! -d "var" ]; then
  mkdir var
fi
podman pod stop futtern
podman pod rm futtern

podman pod create \
  --label "io.containers.autoupdate=registry" \
  --name futtern \
  -p 8087:8087

podman run -d \
  --pod futtern \
  --name futtern-php \
  --volume $(pwd)/etc/php83/php-fpm.d/www.conf:/etc/php83/php-fpm.d/www.conf \
  --volume $(pwd)/futtern-app:/var/www/html \
  --volume $(pwd)/var:/var/www/html/var \
  --env 'APP_ENV=prod' \
   git.php.fail/lubiana/container/php:8.3-fpm

podman run -d \
  --pod futtern \
  --name futtern-caddy \
  --volume $(pwd)/etc/caddy/Caddyfile:/etc/caddy/Caddyfile \
  --volume $(pwd)/futtern-app:/var/www/html \
  --volume caddy_data:/data \
  docker.io/caddy/caddy:alpine

echo 'yes' | podman exec -it futtern-php /var/www/html/bin/console doctrine:migrations:migrate
